VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::library::item::updatesession::FileTypes::ValidationError Class Reference

The `File.ValidationError` class defines the validation error of a file in the session. More...

List of all members.

## Public Member Functions
| ValidationError ()
| Creates a default new instance.
string | GetName ()
| The name of the file.
void | SetName (string name)
| The name of the file.
vmware.vapi.std.LocalizableMessage | GetErrorMessage ()
| A message indicating why the file was considered invalid.
void | SetErrorMessage (vmware.vapi.std.LocalizableMessage errorMessage)
| A message indicating why the file was considered invalid.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `File.ValidationError` class defines the validation error of a file in the session.

## Constructor & Destructor Documentation

vmware::content::library::item::updatesession::FileTypes::ValidationError::ValidationError | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::library::item::updatesession::FileTypes::ValidationError::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::library::item::updatesession::FileTypes::ValidationError::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::library::item::updatesession::FileTypes::ValidationError::_GetType | ( |  | ) | `[inline]`

bool vmware::content::library::item::updatesession::FileTypes::ValidationError::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::library::item::updatesession::FileTypes::ValidationError::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::library::item::updatesession::FileTypes::ValidationError::Equals | ( | object | obj | ) | `[inline]`

vmware.vapi.std.LocalizableMessage vmware::content::library::item::updatesession::FileTypes::ValidationError::GetErrorMessage | ( |  | ) | `[inline]`

A message indicating why the file was considered invalid.

override int vmware::content::library::item::updatesession::FileTypes::ValidationError::GetHashCode | ( |  | ) | `[inline]`

string vmware::content::library::item::updatesession::FileTypes::ValidationError::GetName | ( |  | ) | `[inline]`

The name of the file.

void vmware::content::library::item::updatesession::FileTypes::ValidationError::SetErrorMessage | ( | vmware.vapi.std.LocalizableMessage | errorMessage | ) | `[inline]`

A message indicating why the file was considered invalid.

void vmware::content::library::item::updatesession::FileTypes::ValidationError::SetName | ( | string | name | ) | `[inline]`

The name of the file.

override string vmware::content::library::item::updatesession::FileTypes::ValidationError::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- updatesession/FileTypes.cs